builtin(include, common_aclocal.m4)

#############################################################
# SUBDIRECTORIES

# add subdirectories
# arguments:	$1 = subproject name
#		$2 = subdirectory of subproject configure
#		$3 = subdirectory of subproject
#		$4 = directory variable
#		$5 = default value
#		$6 = configure message
AC_DEFUN(
	[AC_SUBDIR_ENABLE],
	[
		AC_ARG_ENABLE(
			translit([$1], [_], [-]),
			AC_HELP_STRING([--enable-]translit([$1], [_], [-]), [$6 (default is $5)]),
		       	[
				enable_[$1]=$enableval
				AC_MSG_RESULT([activating [$6]... $enableval])
			],
			[enable_[$1]=[$5]])

		if test "$enable_[$1]" = yes; then
			[$4]="$[$4] [$3]"
			AC_CONFIG_SUBDIRS([$2])
		fi
	])

############################################
# KERNEL ATTRIBUTES

# define $4$1 from value of $3$1 in file $2
# arguments:	$1 = attribute suffix
#		$2 = file to search in
#		$3 = kernel attribute prefix
#		$4 = orfs attribute suffix
AC_DEFUN(
	[AC_DEFINE_TO_KERNEL_VALUE],
	[
		AC_DEFINE_UNQUOTED(
		[$4$1],
		[`grep $3$1 $2 | sed -e 's/#define[[:space:]]*'$3$1'[[:space:]]*\([[:digit:]]*\).*/\1/'`],
		[Define to kernel headers value of $3$1])
	])

# define ORFS_I$1 from kernel value of S_I$1
AC_DEFUN(
	[AC_DEFINE_TO_KERNEL_STAT],
	[
		AC_REQUIRE([AC_WITH_KERNEL_SRC]) dnl
		AC_DEFINE_TO_KERNEL_VALUE(
			[$1],
			[$KERNEL_SRC/include/linux/stat.h],
			[S_I],
			[ORFS_I])
	])

# define ORFS_ATTR_$1 from kernel value of ATTR_I$1
AC_DEFUN(
	[AC_DEFINE_TO_KERNEL_ATTR],
	[
		AC_REQUIRE([AC_WITH_KERNEL_SRC]) dnl
		AC_DEFINE_TO_KERNEL_VALUE(
			[$1],
			[$KERNEL_SRC/include/linux/fs.h],
			[ATTR_],
			[ORFS_ATTR_])
	])
