/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __INTERACTIVE_NETWORK_H__
#define __INTERACTIVE_NETWORK_H__


#include "orfs_protocol.h"


#if CONFIG_TCP

extern int TCP_init(char *name);
extern void TCP_exit();
extern int TCP_request(struct orfs_request *req,
		       const void *in_buf,
		       struct orfs_answer *ans,
		       void *out_buf,
		       size_t out_buf_len);

extern unsigned long tcp_server_port;

#define TCP_SETUP()				\
do {						\
	network_init = TCP_init;		\
	network_exit = TCP_exit;		\
	network_request = TCP_request;		\
} while ( 0 )

#endif /* CONFIG_TCP */


#if CONFIG_GM

extern int GM_init(char *name);
extern void GM_exit();
extern int GM_request(struct orfs_request *req,
		      const void *in_buf,
		      struct orfs_answer *ans,
		      void *out_buf,
		      size_t out_buf_len);

extern unsigned long gm_server_port;
extern unsigned long gm_server_board;
extern unsigned long gm_client_board;

#define GM_SETUP()				\
do {						\
	network_init = GM_init;			\
	network_exit = GM_exit;			\
	network_request = GM_request;		\
} while ( 0 )

#endif /* CONFIG_GM */


#if CONFIG_MX

extern int MX_init(char *name);
extern void MX_exit();
extern int MX_request(struct orfs_request *req,
		      const void *in_buf,
		      struct orfs_answer *ans,
		      void *out_buf,
		      size_t out_buf_len);

extern unsigned long mx_server_ep;
extern unsigned long mx_server_board;
extern unsigned long mx_client_board;

#define MX_SETUP()				\
do {						\
	network_init = MX_init;			\
	network_exit = MX_exit;			\
	network_request = MX_request;		\
} while ( 0 )

#endif /* CONIFG_MX */


#endif /* __INTERACTIVE_NETWORK_H__ */
