/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __ORFS_CONFIG_H__
#define __ORFS_CONFIG_H__

#include "orfs_autoconfig.h"
#include "orfs_client_config.h"

/* kernel version */
#include <linux/version.h>
#define ORFS_LINUX_XY(x,y) ((LINUX_VERSION_CODE>=KERNEL_VERSION(x,y,0))&&(LINUX_VERSION_CODE<KERNEL_VERSION(x,y+1,0)))

#define ORFS_LINUX_24 (ORFS_LINUX_XY(2,4))
#define ORFS_LINUX_26 (ORFS_LINUX_XY(2,6))

#if ORFS_LINUX_24 + ORFS_LINUX_26 != 1
#error Bad kernel version
#endif

/* default revalidate delays */
#define ORFS_DEFAULT_DENTRY_REVALIDATE_DELAY 5
#define ORFS_DEFAULT_INODE_REVALIDATE_DELAY 5
#define ORFS_DEFAULT_PAGE_REVALIDATE_DELAY 5

/* number of simultaneous requests */
#define ORFS_SIMULTANEOUS_REQUESTS_MAX 8

/* name of the daemon */
#define ORFS_DAEMON_NAME "orfsd"

#endif				/* __ORFS_CONFIG_H__ */
