/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __MOUNT_OPTIONS_H__
#define __MOUNT_OPTIONS_H__


#include "orfs_mount.h"


struct orfs_parsed_mount_options {
  /* which field have been set */
  struct orfs_mount_flagmask generic;
  struct orfs_mount_flagmask specific;
  /* revalidate delays */
  struct orfs_mount_revalidate_delay revalidate_delay;
    /* connection parameters */
  struct orfs_common_mount_connection common;
  struct orfs_tcp_mount_connection tcp;
  struct orfs_gm_mount_connection gm;
  struct orfs_mx_mount_connection mx;
};


extern
int parse_options(char *opt_data, char *server,
		  struct orfs_parsed_mount_options *opts);


/************************
 * Flags not available in glibc 2.2
 */

#define MNT_DETACH      0x00000002      /* Just detach from the tree */
#define MS_MOVE         8192
#define MS_REC          16384
#define MS_VERBOSE      32768


#endif /* __MOUNT_OPTIONS_H__ */
