builtin(include,../../common_aclocal.m4)

#####################################################
# TCP POLL

# define SERVER_TCP_POLL and check needed librairies
AC_DEFUN(
	[AC_TCP_POLL],
	[
		AC_ARG_WITH(
			tcp-poll,
			AC_HELP_STRING([--with-tcp-poll=<poll/epoll>], [TCP polling (default is poll)]),
			[
				tcp_poll=`echo $withval | tr 'a-z' 'A-Z'`
				AC_MSG_RESULT([configuring TCP polling... $withval])
			],
			[tcp_poll=POLL])
		if test "$tcp_poll" = EPOLL; then
			AC_WITH_PROG([epoll], [lib], [include])
		        AC_CHECK_LIB([epoll], [epoll_ctl], [], [AC_MSG_ERROR([libepoll not found])])
			AC_CHECK_HEADER([epoll.h], [], [AC_MSG_ERROR([epoll.h not found])])
		fi
		AC_DEFINE_UNQUOTED(
			[SERVER_TCP_POLL],
			[$tcp_poll],
			[Define to the TCP polling method])
	])
