/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __RAMFS_CONFIG_H__
#define __RAMFS_CONFIG_H__

#include "ramfs_autoconfig.h"
#include "orfs_server_config.h"


/* inline */
#if ( DEBUG_LEVEL < 0 )
#define INLINE inline
#else
#define INLINE
#endif

/* TCP polling */
#define POLL 21
#define EPOLL 22
#if (SERVER_TCP_POLL==POLL)+(SERVER_TCP_POLL==EPOLL) != 1
#error Bad server TCP polling configuration
#endif

/* queue */
#define QUEUE_ALLOCATING_NUMBER 10

/* ramfs */
#define HASH_TABLE_SIZE 3141
#define HASH_VALUE HASH_TABLE_SIZE
#define MEMORY_BLOCK_BITS 16
#define MEMORY_BLOCK_SIZE (1UL << (MEMORY_BLOCK_BITS))
#define BLOCKS_DEFAULT_MAX 32
#define DIRENTS_DEFAULT_MAX 128
#define DESCRIPTOR_MAX 4096

/* TCP */
#define TCP_LISTENING_DEPTH 10
#define TCP_SERVER_EVENT_QUEUE_SIZE 256
#define TCP_SERVER_EVENT_GET_MAX 16


#endif /* __RAMFS_CONFIG_H__ */
