/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __RAMFS_FS_H__
#define __RAMFS_FS_H__


#include "orfs_protocol.h"
#include "ramfs_queue.h"


struct server_request;
struct list_head;


/* Initialization */
extern int ramfs_init();
extern void ramfs_exit();

/* Update Current Time */
extern void update_current_time();

/* Process all Requests from in_queue
 * and move them to out_queue.
 */
extern void ramfs_process_queue();


#endif /* __RAMFS_FS_H__ */
