/*
 * ORFA - A user-level remote file system access protocol
 * Copyright (C) 2004 Brice Goglin <Brice.Goglin@ens-lyon.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef __RAMFS_SERVER_H__
#define __RAMFS_SERVER_H__


#include "orfs_protocol.h"
#include "ramfs_network.h"
#include "ramfs_list.h"


struct io_vector;


struct server_request {
  struct orfs_request req;
  struct io_vector *in_vect;
  struct orfs_answer ans;
  struct io_vector *out_vect;
  union orfs_connection connection;
  unsigned char count;
  struct list_head queue;
};


#define REQ2SREQ(oreq)\
((struct server_request*)((char*)(oreq)-(unsigned long)(&((struct server_request*)0)->req))) 


extern unsigned long server_port;

extern struct ramfs_counters { unsigned long received, processed, sent; } counters;


#endif /* __RAMFS_SERVER_H__ */
